%define anolis_release 4
%global with_python3_tests 1

%global pypi_name   PySocks
%global modname     pysocks

Name:               python-%{modname}
Version:            1.7.1
Release:            %{anolis_release}%{?dist}
Summary:            A Python SOCKS client module

License:            BSD
Url:                https://pypi.org/project/PySocks/
Source0:            %pypi_source
BuildArch:          noarch

%description
PySocks lets you send traffic through SOCKS and HTTP proxy servers. It is a
modern fork of SocksiPy with bug fixes and extra features.

Acts as a drop-in replacement to the socket module. Seamlessly configure SOCKS
proxies for any socket object by calling socket_object.set_proxy().

* SOCKS proxy client for Python 2.7 and 3.4+
* TCP supported
* UDP mostly supported (issues may occur in some edge cases)
* HTTP proxy client included but not supported or recommended (you should use
  urllib2's or requests' own HTTP proxy interface)
* urllib2 handler included. pip install / setup.py install will automatically
  install the sockshandler module.

%package -n python%{python3_pkgversion}-%{modname}
Summary:            A Python SOCKS client module
BuildRequires:      python%{python3_pkgversion}-devel
# for tests
%if 0%{?with_python3_tests}
BuildRequires:      python%{python3_pkgversion}-pytest
BuildRequires:      python%{python3_pkgversion}-psutil
%endif
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
Conflicts:  python%{python3_pkgversion}-SocksiPy

%description -n python%{python3_pkgversion}-%{modname}
PySocks lets you send traffic through SOCKS and HTTP proxy servers. It is a
modern fork of SocksiPy with bug fixes and extra features.

Acts as a drop-in replacement to the socket module. Seamlessly configure SOCKS
proxies for any socket object by calling socket_object.set_proxy().

* SOCKS proxy client for Python 2.7 and 3.4+
* TCP supported
* UDP mostly supported (issues may occur in some edge cases)
* HTTP proxy client included but not supported or recommended (you should use
  urllib2's or requests' own HTTP proxy interface)
* urllib2 handler included. pip install / setup.py install will automatically
  install the sockshandler module.

This package is for Python3 version %{python3_version} only.

%package doc
Summary:        Documentation files for %{name}
Requires:       python%{python3_pkgversion}-%{modname} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rfv test/bin

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE
%{python3_sitelib}/socks.py*
%{python3_sitelib}/sockshandler.py*
%{python3_sitelib}/__pycache__/*socks*
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%files doc
%doc README.md

%changelog
* Mon Apr 10 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 1.7.1-4
- Optimize the spec file

* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.1-3
- optimise dependency

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.1-2
- add doc package

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.7.1-1
- init from upstream
